Skip to main content
PUT
/
v1
/
seller
/
order
/
shipping
Shipping
curl --request PUT \
  --url https://scx-sbx.api.jtl-software.com/v1/seller/order/shipping \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orderList": [
    {
      "sellerId": "4711",
      "orderId": "43523-43432-43532",
      "shippingComplete": true,
      "shippingItems": [
        {
          "carrier": "DHL",
          "trackingNumber": "23435833543343222322",
          "trackingUrl": "https://www.dhl.de/de/home/tracking.html?AWB=23435833543343222322",
          "returnTracking": {
            "carrier": "DHL",
            "trackingNumber": "432353833232443222322",
            "trackingUrl": "https://www.dhl.de/de/home/tracking.html?AWB=432353833232443222322"
          },
          "shippedAt": "2019-01-13T12:00:00+00:00",
          "orderItemIdList": [
            {
              "orderItemId": "5437233",
              "quantity": 123
            }
          ],
          "shippedFrom": {
            "city": "Köln",
            "country": "DE",
            "postcode": "51107"
          }
        }
      ],
      "channel": "MYBESTDEALCOMDE"
    }
  ]
}
'
{
  "errorList": [
    {
      "code": "VAL100",
      "message": "Required field sellerId not found",
      "severity": "error",
      "hint": "Check the field `sellerId` — it must be a non-empty string."
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL Customer Center. Usage format: Bearer <JWT>.

Body

application/json

Shipping notification for one or more order line items, including carrier and tracking information.

Batch of shipping notifications for marketplace orders (carrier, tracking number, ship date).

orderList
object[]

Response

Created